﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelACC.Master" AutoEventWireup="true" CodeBehind="RPTAccBalGen.aspx.cs" Inherits="Seven.DSS.RPTAccBalGen" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>ACC - <%=L.TIT("BalanceGeneral") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxPeriodo(link, elem, id, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdPeriodo": id, "Elegir": elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#cbPeriodo").attr("disabled", true);
                },
                success: function (json) {
                    $("#cbPeriodo").html(json.d);
                    $("#cbPeriodo").attr("disabled", false);
                    jQueryUIOtraVez();
                    document.getElementById('cbPeriodo').focus();
                }
            });
        };

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone, "IdEmpresa": $('#cbEmpresa').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    var tasa = parseFloat(json.d);
                    if(tasa == 1)
                    {
                        $("#txtTasa").attr('readonly','readonly');
                    }
                    else
                    {
                        $("#txtTasa").removeAttr('readonly');
                    }
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) {
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaAcc', 'ComboMoneda', mone);
        }

        function cargarComboPeriodos(id){
            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', id, 0);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTAccBalGen.aspx?op=' + $('#cbDatosAcc').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbEmpresa').val(<% Response.Write(c.AccEmpresa); %>);
            $('#cbEjercicio').val(<% Response.Write(c.AccEjercicio); %>);
            $('#cbMoneda').val(<% Response.Write(c.AccMoneda); %>);

            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', <% Response.Write(c.AccEjercicio); %>, <% Response.Write(c.AccPeriodo); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosAcc').val(<%=c.DatosACC %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTAccBalGen.aspx">ACC - <%=L.TIT("BalanceGeneral") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1000px; height: 1250px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("BalanceGeneral") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosAcc %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccBalGen.aspx?op=' + $('#cbDatosAcc').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="50%">
                                <tr>
                                    <td>Empresa: </td>
                                    <td colspan="3">
                                        <%=cbEmpresa %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Ejercicio:</td>
                                    <td>
                                        <%=cbEjercicio %>
                                    </td>
                                    <td>Periodo:</td>
                                    <td>
                                        <select name="cbPeriodo" id="cbPeriodo" style="width: 180px;" disabled>
                                            <option value="0">--- Elija Ejercicio ---</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    <td>Tasa: </td>
                                    <td>
                                        <input type="text" id="txtTasa" name="txtTasa" <% if(c.AccTasa == 1){ %> readonly="readonly" <% } %> value="<% Response.Write(c.AccTasa); %>" />
                                    </td>
                                    <td>
                                        <button type="button" onclick="$('#dlgCargando').dialog('open'); window.location.href='RPTAccBalGen.aspx?b=' + $('#cbEmpresa').val() + '&e=' + $('#cbEjercicio').val() + '&p=' + $('#cbPeriodo').val() 
                                             + '&m=' + $('#cbMoneda').val() + '&t=' + $('#txtTasa').val();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                                <!--<tr>
                                    <td>
                                        Tipo de Informe:
                                    </td>
                                    <td>
                                        <input type="radio" name="rbTipoInforme" value="2" <% if(c.AccTipoInforme == 2){ %> checked <% } %>/> Totalizado
                                        <input type="radio" name="rbTipoInforme" value="1" <% if(c.AccTipoInforme == 1){ %> checked <% } %>/> Resumido
                                        <input type="radio" name="rbTipoInforme" value="0" <% if(c.AccTipoInforme == 0){ %> checked <% } %> /> Detallado
                                    </td>
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccBalGen.aspx?b=' + $('#cbEmpresa').val() + '&e=' + $('#cbEjercicio').val() + '&p=' + $('#cbPeriodo').val() 
                                            + '&i=' + $('input:radio[name=rbTipoInforme]:checked').val() + '&m=' + $('#cbMoneda').val() + '&t=' + $('#txtTasa').val();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td></td>
                                </tr>-->
                            </table>

                            

                            <table>
                                <tr>
                                    <td style="background-color: white;">
                                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                                        </asp:ScriptManager>
                                        <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                            Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                            WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="1000px" >
                                            <LocalReport ReportPath="Reports\AccBalanceGeneral.rdlc">
                                                <DataSources>
                                                    <rsweb:ReportDataSource DataSourceId="DSS1" Name="AccBalGen11" />
                                                    <rsweb:ReportDataSource DataSourceId="DSS2" Name="AccBalGen12" />
                                                    <rsweb:ReportDataSource DataSourceId="DSS3" Name="AccBalGen13" />
                                                    <rsweb:ReportDataSource DataSourceId="DSS4" Name="AccBalGen21" />
                                                    <rsweb:ReportDataSource DataSourceId="DSS5" Name="AccBalGen22" />
                                                    <rsweb:ReportDataSource DataSourceId="DSS6" Name="AccBalGen31" />
                                                    <rsweb:ReportDataSource DataSourceId="DSS7" Name="AccBalGen32" />
                                                </DataSources>
                                            </LocalReport>
                                        </rsweb:ReportViewer>
                                        <asp:SqlDataSource ID="DSS1" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                        <asp:SqlDataSource ID="DSS2" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                        <asp:SqlDataSource ID="DSS3" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                        <asp:SqlDataSource ID="DSS4" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                        <asp:SqlDataSource ID="DSS5" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                        <asp:SqlDataSource ID="DSS6" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                        <asp:SqlDataSource ID="DSS7" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCBALGENMODEL"></asp:SqlDataSource>
                                    </td>
                                </tr>
                            </table> 

                            <table>
                                <tr>
                                    <td style="font-size: 12pt; text-align: justify;">
                                        <br />
                                        Este reporte del área contable muestra las cuentas reales, en resumen son todas las cuentas del catálogo contable menos las cuentas de ingreso, <br />
                                        costo y gasto. Este reporte está diseñado  con la finalidad de ver la situación de la empresa en un solo rubro, acá se ven los <u>saldos al periodo <br />
                                        seleccionado</u> de cuentas por cobrar, cuentas por pagar, activos, bancos, efectivo entre otras.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
