﻿<%@ Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontBooking.aspx.cs" Inherits="Seven.DSS.RPTFrontBooking" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>FDK - <%=L.TIT("InformeOcupacion") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontBooking.aspx?op=' + $('#cbDatosFront').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTFrontBooking.aspx">FDK - <%=L.TIT("InformeOcupacion") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1000px; height: 1100px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("InformeOcupacion") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosFront %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTFrontBooking.aspx?op=' + $('#cbDatosFront').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="100%">
                                <tr>
                                    <td>Tipo: </td>
                                    <td>
                                        <input type="radio" name="rbTipo" value="0" <% if(c.FrontTipoBooking == 0){ %> checked="checked" <% } %> /> Ocupación
                                        <input type="radio" name="rbTipo" value="1" <% if(c.FrontTipoBooking == 1){ %> checked="checked" <% } %> /> Disponibilidad &nbsp;&nbsp;
                                    </td>
                                    <td>Ver: </td>
                                    <td>
                                        <input type="radio" name="rbProyectado" value="1" <% if(c.FrontProyectado == 1){ %> checked="checked" <% } %> /> Proyectado
                                        <input type="radio" name="rbProyectado" value="2" <% if(c.FrontProyectado == 2){ %> checked="checked" <% } %> /> Real &nbsp;&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td>Desde: </td>
                                    <td>
                                        <input type="text" id="txtInicio" name="txtInicio" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontInicio)); %>" />
                                    </td>
                                    <td>Hasta: </td>
                                    <td>
                                        <input type="text" id="txtFin" name="txtFin" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontFin)); %>" />
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="$('#dlgCargando').dialog('open'); window.location.href='RPTFrontBooking.aspx?s=' + $('#txtInicio').val() + '&f=' + $('#txtFin').val()
                                                        + '&t=' + $('input[name=rbTipo]:checked').val()+ '&p=' + $('input[name=rbProyectado]:checked').val();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td width="100%"></td>
                                </tr>
                            </table>

                            <table>
                                <tr>
                                    <td style="background-color: white;">
                                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                                        </asp:ScriptManager>
                                        <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                            Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                            WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="900px" >
                                            <LocalReport ReportPath="Reports\FrontBooking.rdlc">
                                                <DataSources>
                                                    <rsweb:ReportDataSource DataSourceId="DSS1" Name="Booking" />
                                                </DataSources>
                                            </LocalReport>
                                        </rsweb:ReportViewer>
                                        <asp:SqlDataSource ID="DSS1" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSFRONTBOOKMODEL"></asp:SqlDataSource>
                                    </td>
                                </tr>
                            </table> 

                            <table>
                                <tr>
                                    <td style="font-size: 12pt; text-align: justify;">
                                        <br />
                                        Muestra la información de ocupación / disponibilidad por tipo de habitación, la información de la fecha hotelera hacia atrás es estadística y de la <br />
                                        fecha hotelera hacia adelante es pronóstico según reservas y rooming.

                                    </td>
                                </tr>
                            </table>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
