﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Acerca.aspx.cs" Inherits="Seven.DSS.Acerca" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>Seven IPM - Acerca de</title>

    <script type="text/javascript">

        function mostrarMaestro() {
            mostrarAjaxTabla('Servicio.svc/Vencimientos', 'TablaMaestra', $('#VenFecha').val());
        }

        function mostrarAjaxTabla(link, elem, fecha) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "Fecha": fecha
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    $("#" + elem).html(json.d);
                    jQueryUIOtraVez();
                    $("#dlgLeyenda").dialog('destroy');
                    dialogoLeyenda();
                }
            });
        };

        $(document).ready(function () {

            mostrarAjaxTabla('Servicio.svc/Vencimientos', 'TablaMaestra', $('#VenFecha').val());

            $("#SevenMenu").accordion("option", "active", 6);

        });

        function dialogoLeyenda() {
            $("#dlgLeyenda").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 160,
                width: 460,
                modal: false
            });
        }

    </script>
    
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                Acerca De
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 470px;">
                            <table width="100%">
                                    <tr>
                                        <td>
                                            <span class="SevenTitulo">Acerca de Seven Decision Support System</span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="font-size: 10pt;">
                                            Copyright © 2013 My Seven Suite S.A.
                                            <br />Reservados todos los derechos.
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Algunos iconos por <a href="http://p.yusukekamiyamane.com/">Yusuke Kamiyamane</a>. Todos los derechos reservados. <br />
                                            Bajo una <a href="http://creativecommons.org/licenses/by/3.0/deed.es">Licencia Creative Commons Atribución 3.0</a>.<br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <p style="white-space: normal;" align="justify">Advertencia: Este programa está protegido por las leyes de derechos de autor. La reproducción o distribución ilícitas de este programa
                                            , o cualquier parte del mismo, está penada por la ley con severas sanciones civiles y penales, y será objeto de todas las acciones
                                            judiciales que correspondan.</p>
                                        </td>
                                    </tr>
                                </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
