﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelACC.Master" AutoEventWireup="true" CodeBehind="RPTAccRatios.aspx.cs" Inherits="Seven.DSS.RPTAccRatios" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>ACC - <%=L.TIT("RazonesFinancieras") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxPeriodo(link, elem, id, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdPeriodo": id, "Elegir": elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#cbPeriodo").attr("disabled", true);
                },
                success: function (json) {
                    $("#cbPeriodo").html(json.d);
                    $("#cbPeriodo").attr("disabled", false);
                    jQueryUIOtraVez();
                    document.getElementById('cbPeriodo').focus();
                }
            });
        };

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone, "IdEmpresa": $('#cbEmpresa').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    var tasa = parseFloat(json.d);
                    if(tasa == 1)
                    {
                        $("#txtTasa").attr('readonly','readonly');
                    }
                    else
                    {
                        $("#txtTasa").removeAttr('readonly');
                    }
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) {
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaAcc', 'ComboMoneda', mone);
        }

        function cargarComboPeriodos(id){
            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', id, 0);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTAccRatios.aspx?op=' + $('#cbDatosAcc').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbEmpresa').val(<% Response.Write(c.AccEmpresa); %>);
            $('#cbEjercicio').val(<% Response.Write(c.AccEjercicio); %>);
            $('#cbMoneda').val(<% Response.Write(c.AccMoneda); %>);

            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', <% Response.Write(c.AccEjercicio); %>, <% Response.Write(c.AccPeriodo); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosAcc').val(<%=c.DatosACC %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTAccRatios.aspx">ACC - <%=L.TIT("RazonesFinancieras") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1000px; height: 3200px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("RazonesFinancieras") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosAcc %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccRatios.aspx?op=' + $('#cbDatosAcc').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="60%">
                                <tr>
                                    <td>Empresa: </td>
                                    <td>
                                        <%=cbEmpresa %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Ejercicio:</td>
                                    <td>
                                        <%=cbEjercicio %>
                                    </td>
                                    <td>Periodo:</td>
                                    <td>
                                        <select name="cbPeriodo" id="cbPeriodo" style="width: 180px;" disabled>
                                            <option value="0">--- Elija Ejercicio ---</option>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    <td>Tasa: </td>
                                    <td>
                                        <input type="text" id="txtTasa" name="txtTasa" <% if(c.AccTasa == 1){ %> readonly="readonly" <% } %> value="<% Response.Write(c.AccTasa); %>" />
                                    </td>
                                    <td>
                                        <button type="button" onclick="$('#dlgCargando').dialog('open'); window.location.href='RPTAccRatios.aspx?b=' + $('#cbEmpresa').val() + '&e=' + $('#cbEjercicio').val() + '&p=' + $('#cbPeriodo').val() 
                                            + '&m=' + $('#cbMoneda').val() + '&t=' + $('#txtTasa').val();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>

                            

                            <table>
                                <tr>
                                    <td style="background-color: white;">
                                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                                        </asp:ScriptManager>
                                        <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                            Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                            WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="1000px" CssClass="NoScroll">
                                            <LocalReport ReportPath="Reports\AccRatios.rdlc">
                                                <DataSources>
                                                    <rsweb:ReportDataSource DataSourceId="DSS1" Name="Ratios" />
                                                </DataSources>
                                            </LocalReport>
                                        </rsweb:ReportViewer>
                                        <asp:SqlDataSource ID="DSS1" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCRATIOSMODEL"></asp:SqlDataSource>
                                    </td>
                                </tr>
                            </table> 

                            <table>
                                <tr>
                                    <td style="font-size: 12pt; white-space: normal;">
                                        <p>Los razones financieras se miden del inicio del periodo fiscal hasta el periodo consultado.</p>

                                        <h4>Liquidez:</h4>
                                        <p>Estos ratios representan la capacidad que tiene la empresa de hacer frente a las deudas, tomando en cuenta solamente el activo circulante. Activo circulante = efectivo + cxc + inventarios.<br /><br />
                                        Por lo general, el resultado de la razón debe estar entre los valores 1 y 2 para considerarse aceptable.<br /><br />
                                        <b>Ratio de liquidez:</b> Nos dice cuántas veces el activo circulante cubre las obligaciones.<br />
                                        <b>Ratio de tesorería:</b> <br /><br />
                                        1)	Nos dice cuántas veces el efectivo + cxc cubre las obligaciones.<br />
                                        2)	Nos dice cuántas veces el efectivo cubre las obligaciones.<br /><br />
                                        Si el resultado es 1.5, la relación se interpreta del siguiente modo: por cada $1 que se deba, la entidad cuenta con $1.5 de activo para hacer frente.<br />
                                        En función de estos 3 primeros ratios, estaremos en alguna de las siguientes situaciones:<br /><br />
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><i>a) Situación normal, cuando es superior a 1.</i></b> Un valor muy alto de este índice supone, como es lógico, una solución de holgura financiera que puede verse unida a un exceso de capitales inaplicados que influyen negativamente sobre la rentabilidad total de la empresa.<br />
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><i>b) Insolvencia técnica, cuando es inferior a 1.</i></b> Indica que la empresa puede declararse en suspensión de pagos y deberá hacer frente a sus deudas a corto plazo teniendo que tomar parte del Activo Fijo.<br />
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><i>c) Si es igual a 1</i></b> puede hacer frente a sus deudas pero de ello depende la rapidez con que efectúe los cobros a clientes y de la realización o venta de sus inventarios.<br /><br />
                                        <b>Crédito Medio concedido a clientes:</b> Nos dice cuantos días se tarda en recuperar las cxc.<br />
                                        <b>Rotación de Stocks:</b> Son las veces que se vende el inventario hasta el periodo consultado.<br />
                                        <b>Crédito Medio concedido por los proveedores:</b> Nos dice cuantos días se tarda en pagar a proveedores.</p>

                                        <h4>Solvencia:</h4>
                                        <p>Representa la cualidad de los activos para ser convertidos en dinero efectivo de forma inmediata sin pérdida significativa de su valor. De tal manera que cuanto más fácil es convertir un activo en dinero se dice que es más líquido. Estos ratios representan la capacidad que tiene la empresa de hacer frente a las deudas.<br /><br />
                                        <b>Ratio de Solvencia:</b><br /><br /> 
                                        1)	Nos dice cuántas veces el capital cubre las obligaciones.<br />
                                        2)	Nos dice cuántas veces el activo circulante cubre las obligaciones.<br /><br />
                                        Si el resultado es 1.5, la relación se interpreta del siguiente modo: por cada $1 que se deba, la entidad cuenta con $1.5 de activo para hacer frente.<br /><br />
                                        <b>Cobertura del inmovilizado:</b> La relación que ofrece este ratio nos da idea de la cobertura que ofrecen los capitales permanentes a las inmovilizaciones de la empresa. En función de este ratio, estaremos en alguna de las siguientes situaciones:<br /><br />
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><i>a) Situación normal, cuando es superior a 1.</i></b> Nos indica que tenemos un fondo de maniobra positivo. Si es superior a 1 el análisis dependerá del sector de que se trate, pero como regla general si es demasiado elevado puede significar que la empresa tiene un exceso de cargas financieras por la financiación del activo circulante con recursos permanentes, y podría originar una disminución de la rentabilidad.<br />
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><i>b) Insolvencia técnica, cuando es inferior a 1.</i></b> Nos indica que tenemos un fondo de maniobra negativo y podríamos afirmar que la empresa se encuentra en una situación de suspensión de pagos.<br />
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><i>c) Si es igual a 1</i></b> nos encontramos que la empresa carece de fondo de maniobra, y puede existir peligro de suspensión de pagos derivado de posibles problemas de liquidez a corto plazo.</p>

                                        <h4>Rentabilidad:</h4>
                                        <p>La rentabilidad es la capacidad de producir o generar un beneficio adicional sobre la inversión o esfuerzo realizado.  Antes unas definiciones que nos ayudará a entender las formulas.<br /> <br /> 
                                        <b>"Recursos Propios"</b> la diferencia existente entre el activo y el pasivo exigible, o lo que es lo mismo "Patrimonio Neto".<br /> 
                                        <b>“Recursos Permanentes”</b> = “Patrimonio neto” + Obligaciones a Largo Plazo.<br /> 
                                        <b>“Beneficio”</b> = Ingresos  – Costos – Gastos.<br /> 
                                        <b>“Ventas”</b> = Ingresos<br /> 
                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;•&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Los ingresos por definición no tienen impuestos.<br /><br /> 
                                        <b>Rentabilidad Recursos Propios:</b> Porcentaje de rentabilidad tomando en cuenta solo recursos propios. Ejemplo: si obtuvimos $50000 de beneficio y nuestro recurso propio es $10000 el resultado nos dice que hicimos un 500 % de beneficio con nuestro recurso propio.<br /> 
                                        <b>Rentabilidad Permanentes:</b> Porcentaje de rentabilidad tomando en cuenta recursos propios + obligaciones a largo plazo. Ejemplo: si obtuvimos $50000 de beneficio y nuestro recurso propio es $10000 y tenemos una deuda de $20000 al banco, el resultado nos dice que hicimos un 166 % de beneficio con nuestro recurso permanente.<br /> 
                                        <b>Rotación de la inversión:</b> Se refiere a cuantas veces se rotan las inversiones para ganar ingresos, todo esto hasta el periodo consultado.<br /> 
                                        Por ejemplo si los ingresos fueron de $60000 y el recurso permanente es de $30000 el resultado de 2 nos dice que por cada $1 nuestra inversión genero $2.<br /> 
                                        <b>Rentabilidad de ventas:</b>El índice de rentabilidad sobre ventas mide la rentabilidad de una empresa con respecto a las ventas que genera. <br /> 
                                        Por ejemplo si el beneficio fueron de $50000 y las ventas son de $60000 el resultado nos dice que tuvimos 83,33% de utilidad.<br /> 
                                        <b>Rentabilidad de la inversión:</b> La rentabilidad de una inversión es un indicador que mide la relación que existe entre la ganancia de una inversión y el costo de ésta, al mostrar qué porcentaje del dinero invertido se ha ganado o recuperado, o se va a ganar o recuperar. Calcular la rentabilidad de una inversión nos permite conocer qué tan bueno ha sido el desempeño de dicha inversión.</p>
                                        
                                        <h4>Otros Ratios:</h4>

                                        <p><b>Deudas sobre el capital:</b> Es que tantas veces supera la deuda al capital. Ejemplo si la obligación a largo plazo es de $20000 y nuestro capital es de $10000, el resultado de 2 nos dice que por cada $1 de capital debemos $2.<br /> 
                                        <b>Retorno del activo:</b> Se refiere a cuantas veces la total de ventas cubren el activo o cuantas veces se representa el activo en ventas, ejemplo si tenemos en total de activos $40000 y las ventas son de $50000 en resultado de 1,25 nos dice que por cada $1 de activo generamos $1.25.</p>
                                    </td>
                                </tr>
                            </table>


                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
