﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelPOS.Master" AutoEventWireup="true" CodeBehind="RPTPosVentasO.aspx.cs" Inherits="Seven.DSS.RPTPosVentasO" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>POS - <%=L.TIT("Ventas") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTPosVentasO.aspx?op=' + $('#cbDatosPos').val();
        }

        <% 

            /* 
             * 
             * Índice de Código 
             * 
             * JQ01 - Varias Funciones 
             * JQ02 - Grid Articulos 
             * 
             * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
             * JS_DOC       - Funciones Javascript en Document.Ready()
             * 
             * DLG_VAR      - Diálogos Varios
             * 
             * TIT - Título
             * 
             * HH  - Hidden Hive - Almacen de datos en campos ocultos
             * 
             * B01 - Cuandro Información Principal
             * B02 - Formulario Principal OH
             * B03 - Zona Informativa 
             * 
             */

        %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */%>

        $(function () {
            var spinner = $("#spinner").spinner();

            $("#spinner").spinner({
                min: 1
            });
        });

        function InitializeComponents() {

            //Initialize Components

            //radios
            $("#rdVentas").on('change', function () { ModoRadios(); });
            $("#rdDevo").on('change', function () { ModoRadios(); });
            $("#rdAnula").on('change', function () { ModoRadios(); });
            $('input[name=rbAgrupado]').on('change', function () { ModoRadios(); });

            //checkbox
            $("#chPuntoVenta").on('change', function () { CheckboxHabilitar(); });
            $("#chMoneda").on('change', function () { CheckboxHabilitar(); });
            $("#chTipoCobro").on('change', function () { CheckboxHabilitar(); });
            $("#chCajero").on('change', function () { CheckboxHabilitar(); });
            $("#chSalonero").on('change', function () { CheckboxHabilitar(); });
            $("#chModificador").on('change', function () { CheckboxHabilitar(); });
            $("#chFamilia").on('change', function () { CheckboxHabilitar(); });
            $("#chSubFamilia").on('change', function () { CheckboxHabilitar(); });
            $("#chArticulo").on('change', function () { CheckboxHabilitar(); });
            $("#chTurno").on('change', function () { CheckboxHabilitar(); });
            $("#chFecha").on('change', function () { CheckboxHabilitar(); });
            $("#chServicio").on('change', function () { CheckboxHabilitar(); });

            $("#chSelect").on('change', function () { CheckboxHabilitar(); });

            //Lupas

            $("#btnARTCod").click(function () { $("#txtControl").val("txtBusquedaDesde") });
            $("#btnARTCod2").click(function () { $("#txtControl").val("txtBusquedaHasta") });
            $("#btnARTNom").click(function () { $("#txtControl").val("txtBusquedaDesde") });
            $("#btnARTNom2").click(function () { $("#txtControl").val("txtBusquedaHasta") });

            //Combo Desde

            $("#cbArtiDesde").focus(function () { $("#txtControl").val("txtBusquedaDesde") }).on('input', function () { });
            //$("#cbArtiDesde").on('change', function () {
            //    if ($("#cbArtiDesde").val() != 0) {
            //        $("#txtBusquedaDesde").val((($("#cbArtiDesde option:selected").text()).split("-")[1]).trim());
            //        //$("#txtBusquedaDesde").prop('disabled', true);
            //    }
            //    else {
            //        //$("#txtBusquedaDesde").prop('disabled', false);
            //        $("#txtBusquedaDesde").val('');
            //    }
            //});

            //Texbox Desde
            $("#txtBusquedaDesde").focus(function () { $("#txtControl").val("txtBusquedaDesde") }).on('input', function () { });

            //Combo Hasta
            $("#cbArtiHasta").focus(function () { $("#txtControl").val("txtBusquedaHasta") }).on('input', function () { });

            //$("#cbArtiHasta").on('change', function () {
            //    if ($("#cbArtiHasta").val() != 0) {
            //        $("#txtBusquedaHasta").val((($("#cbArtiHasta option:selected").text()).split("-")[1]).trim());
            //    }
            //    else {
            //        $("#txtBusquedaHasta").val('');
            //    }
            //});

            //Texbox Hasta
            $("#txtBusquedaHasta").focus(function () { $("#txtControl").val("txtBusquedaHasta") }).on('input', function () { });

        } 

        function btnOpciones() {

            $("#chArticulo").prop("checked", false);

            $("#chServicio").prop("checked", false);

            CheckboxHabilitar();

            $("#Familia").prop("hidden", true);
            $("#SubFamilia").prop("hidden", true);
            $("#Articulo").prop("hidden", true);
            $("#Fecha").prop("hidden", true);
            $("#CuentaCasa").prop("hidden", true);
            $("#Camarero").prop("hidden", true);
            $("#Cajero").prop("hidden", true);
            $("#Servicio").prop("hidden", true);
            $("#CuentaIngreso").prop("hidden", true);

            $("#FechaDeta").prop("hidden", true);

            $("#Generico").prop("hidden", false);

            $("#chSelect").prop("disabled", true);

            $("#chArticulo").prop("disabled", true);

            $("#chDetallado").prop("checked", false);

            $("#chFDetallado").prop("checked", false);

            $("#chIncluirArt").prop("checked", false);

            $("#chIncluirArt").prop("disabled", true);

            $('input[name=rbAgrupado]').prop("disabled", false);

            if ($("#btn0").is(":focus")) {
                $("#Familia").prop("hidden", false);
                $("#rdPuntoVenta").prop("checked", true);
                $("#btnSelect").val($("#btn0").val());
            }
            if ($("#btn1").is(":focus")) {
                $("#SubFamilia").prop("hidden", false);
                $("#rdSubPuntoVenta").prop("checked", true);
                $("#btnSelect").val($("#btn1").val());
            }
            if ($("#btn2").is(":focus")) {
                $("#Articulo").prop("hidden", false);
                $("#chArticulo").prop("disabled", false);
                $("#chIncluirArt").prop("disabled", false);
                $("#chSelect").prop("disabled", false);
                $("#rdArti").prop("checked", true);
                $("#btnSelect").val($("#btn2").val());
            }
            if ($("#btn3").is(":focus")) {
                $("#Fecha").prop("hidden", false);
                $('input[name=rbAgrupado]').prop("disabled", true);
                $("#FechaDeta").prop("hidden", false);
                $("#Generico").prop("hidden", true);

                $("#chFDetallado").prop("disabled", false);
                $("#rdFecha").prop("checked", true);
                $("#btnSelect").val($("#btn3").val());
            }
            if ($("#btn4").is(":focus")) {
                $("#Fecha").prop("hidden", false);
                $("#FechaDeta").prop("hidden", false);
                $("#Generico").prop("hidden", true);

                $("#chArticulo").prop("disabled", false);
                $("#chFDetallado").prop("disabled", false);
                $("#rdFecha").prop("checked", true);
                $("#btnSelect").val($("#btn4").val());
            }
            if ($("#btn5").is(":focus")) {
                $("#CuentaCasa").prop("hidden", false);
                
                $("#rdCred").prop("checked", true);
                $("#btnSelect").val($("#btn5").val());
            }
            if ($("#btn6").is(":focus")) {
                $("#Camarero").prop("hidden", false);
                $("#chServicio").prop("disabled", true);

                if ($('input[name=rbModo]:checked').val() == 1) {
                    $('input[name=rbOrdenado]').prop("disabled", false);
                }

                $("#rdCam").prop("checked", true);
                $("#btnSelect").val($("#btn6").val());
            }
            if ($("#btn7").is(":focus")) {
                $("#Cajero").prop("hidden", false);
                $("#chServicio").prop("disabled", true);


                $("#rdCajero").prop("checked", true);
                $("#btnSelect").val($("#btn7").val());
            }
            if ($("#btn8").is(":focus")) {
                $("#Servicio").prop("hidden", false);


                $("#rdServPVenta").prop("checked", true);
                $("#btnSelect").val($("#btn8").val());
            }
            if ($("#btn9").is(":focus")) {
                $("#CuentaIngreso").prop("hidden", false);
                $("#rdCuentaIPVenta").prop("checked", true);
                $("#btnSelect").val($("#btn9").val());
            }

            BtnSelect();
        }

        function ModoRadios() {

            $("#Ventas").prop("hidden", true);
            $("#Devoluciones").prop("hidden", true);
            $("#Anulaciones").prop("hidden", true);

            if ($('input[name=rbModo]:checked').val() == 1 ) {
                $("#Ventas").prop("hidden", false);
                $("#rdmasv").prop("checked", true);
                if ($("#btnSelect").val() == 6) {
                    $('input[name=rbOrdenado]').prop("disabled", false);
                }
            }

            if ($('input[name=rbModo]:checked').val() == 2) {
                $("#Devoluciones").prop("hidden", false);
                $('input[name=rbOrdenado]').prop("disabled", true);
                $("#rdmasd").prop("checked", true);
            }
            if ($('input[name=rbModo]:checked').val() == 3) {
                $("#Anulaciones").prop("hidden", false);
                $('input[name=rbOrdenado]').prop("disabled", true);
                $("#rdmasa").prop("checked", true);
            }

            if ($("#btnSelect").val() == 5)
            {
                if ($('input[name=rbAgrupado]:checked').val() == 2) {
                    $("#chDetallado").prop("disabled", false);
                }
                if ($('input[name=rbAgrupado]:checked').val() == 1 || $('input[name=rbAgrupado]:checked').val() == 3) {
                    $("#chDetallado").prop("disabled", true);
                }
            }
        }

        function CheckboxHabilitar() {

            if ($("#chPuntoVenta:checked").val() == 1) {
                $("#cbPuntoVenta").prop("disabled", false);
            }
            else {
                $("#cbPuntoVenta").prop("disabled", true);
            }

            if ($("#chMoneda:checked").val() == 1) {
                $("#cbMoneda").prop("disabled", false);
            }
            else {
                $("#cbMoneda").prop("disabled", true);
            }

            if ($("#chTipoCobro:checked").val() == 1) {
                $("#cbTipoCobro").prop("disabled", false);
            }
            else {
                $("#cbTipoCobro").prop("disabled", true);
            }

            if ($("#chCajero:checked").val() == 1) {
                $("#cbCajero").prop("disabled", false);
            }
            else {
                $("#cbCajero").prop("disabled", true);
            }

            if ($("#chSalonero:checked").val() == 1) {
                $("#cbSalonero").prop("disabled", false);
            }
            else {
                $("#cbSalonero").prop("disabled", true);
            }

            if ($("#chModificador:checked").val() == 1) {
                $("#cbModificador").prop("disabled", false);
            }
            else {
                $("#cbModificador").prop("disabled", true);
            }

            if ($("#chFamilia:checked").val() == 1) {
                $("#cbFamilia").prop("disabled", false);
            }
            else {
                $("#cbFamilia").prop("disabled", true);
            }

            if ($("#chSubFamilia:checked").val() == 1) {
                $("#cbSubFamilia").prop("disabled", false);
            }
            else {
                $("#cbSubFamilia").prop("disabled", true);
            }

            if ($("#chArticulo:checked").val() == 1) {
                $("#cbArtiDesde").prop("disabled", false);
                $("#cbArtiHasta").prop("disabled", false);
                $("#txtBusquedaDesde").prop("disabled", false);
                $("#txtBusquedaHasta").prop("disabled", false);

                $("#btnARTCod").prop("disabled", false);
                $("#btnARTCod2").prop("disabled", false);
                $("#btnARTNom").prop("disabled", false);
                $("#btnARTNom2").prop("disabled", false);
            }
            else {
                $("#cbArtiDesde").prop("disabled", true);
                $("#cbArtiHasta").prop("disabled", true);
                $("#txtBusquedaDesde").prop("disabled", true);
                $("#txtBusquedaHasta").prop("disabled", true);

                $("#btnARTCod").prop("disabled", true);
                $("#btnARTCod2").prop("disabled", true);
                $("#btnARTNom").prop("disabled", true);
                $("#btnARTNom2").prop("disabled", true);
            }

            if ($("#chTurno:checked").val() == 1) {
                $("#txtTurnoHasta").prop("disabled", false);
                $("#txtTurnoDesde").prop("disabled", false);
            }
            else {
                $("#txtTurnoHasta").prop("disabled", true);
                $("#txtTurnoDesde").prop("disabled", true);
            }

            if ($("#chFecha:checked").val() != 1) {
                $("#txtFechaDesde").prop("disabled", true);
                $("#txtFechaDesde").datepicker("option", "disabled", true);
                $("#txtFechaHasta").prop("disabled", true);
                $("#txtFechaHasta").datepicker("option", "disabled", true);
            }
            else {
                $("#txtFechaDesde").prop("disabled", false);
                $("#txtFechaDesde").datepicker("option", "disabled", false);
                $("#txtFechaHasta").prop("disabled", false);
                $("#txtFechaHasta").datepicker("option", "disabled", false);
            }

            $("#chServicio").prop("disabled", false);

            if ($("#chServicio:checked").val() == 1) {
                $("#cbServicio").prop("disabled", false);
            }
            else {
                $("#cbServicio").prop("disabled", true);
            }

            if ($("#btnSelect").val() == 0) {
                $("#Familia").prop("hidden", false);
            }

            $('input[name=rbOrdenado]').prop("disabled", true);

            $("#chDetallado").prop("disabled", true);

            if ($("#chSelect:checked").val() == 1 && $("#btnSelect").val()==2) {
                $("#spinner").spinner("option", "disabled", false);
                $('input[name=rbMasMenos]').prop("disabled", false);
                $('input[name=rbIncluir]').prop("disabled", false);
            }
            else {
                $("#spinner").spinner("option", "disabled", true);
                $('input[name=rbMasMenos]').prop("disabled", true);
                $('input[name=rbIncluir]').prop("disabled", true);
            }

        }

        function ValidarTurno() {
            $("#dialog-turno").dialog({
                modal: true,
                buttons: {
                    <%=L.LBL("LblGENAceptar")%>: function () {
                        $(this).dialog("close");
                    }
                }
            });
        };

        function ValidarArticulo() {
            $("#dialog-articulo").dialog({
                modal: true,
                buttons: {
                    <%=L.LBL("LblGENAceptar")%>: function () {
                        $(this).dialog("close");
                    }
                }
            });
        };

        function BtnSelect()
        {
            $("#btn0").removeClass("btn_activo");
            $("#btn1").removeClass("btn_activo");
            $("#btn2").removeClass("btn_activo");
            $("#btn3").removeClass("btn_activo");
            $("#btn4").removeClass("btn_activo");
            $("#btn5").removeClass("btn_activo");
            $("#btn6").removeClass("btn_activo");
            $("#btn7").removeClass("btn_activo");
            $("#btn8").removeClass("btn_activo");
            $("#btn9").removeClass("btn_activo");

            $("#btn"+$("#btnSelect").val()).addClass("btn_activo");
        }
        
        function Validar(e) {
            var key = e.charCode || e.keyCode; 
            if ((key < 48 || key > 57)) 
            { return false; }

            //$('#txtTurnoDesde').val($('#txtTurnoDesde').val().substring(0,texto.length-1));
        }

        function ValidaART(e) {
            Tecla = (document.all) ? e.keyCode : e.which;
            if (Tecla == 13) {
                //incio de busqueda por Tecla Enter
                //por nombre
                if ($("#txtBusquedaDesde").is(":focus") && ($("#txtControl").val() == "txtBusquedaDesde") && ($("#txtBusquedaDesde").val() != '')) {
                    FindARTNombre();
                };
                if ($("#txtBusquedaHasta").is(":focus") && ($("#txtControl").val() == "txtBusquedaHasta") && ($("#txtBusquedaHasta").val() != '')) {
                    FindARTNombre2();
                };
                //por Codigo
                if ($("#cbArtiDesde").is(":focus") && ($("#txtControl").val() == "txtBusquedaDesde") && ($("#cbArtiDesde").val() != '')) {
                    FindARTCodigo();
                };
                if ($("#cbArtiHasta").is(":focus") && ($("#txtControl").val() == "txtBusquedaHasta") && ($("#cbArtiHasta").val() != '')) {
                    FindARTCodigo2();
                };
                //busqueda dentro del dialog
                if ($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val() != "") {
                    FiltroART();
                };
                if ($("#txtFiltroCodigo").is(":focus") && $("#txtFiltroCodigo").val() != "") {
                    FiltroART();
                };
            }
        }

        function FindARTCodigo()
        {
                $("#txtArticulo").val($("#cbArtiDesde").val());
                $("#txtOpcion").val(1);
                $("#txtFiltroCodigo").val($("#cbArtiDesde").val());
                Busqueda();
        }

        function FindARTCodigo2()
        {
                $("#txtArticulo").val($("#cbArtiHasta").val());
                $("#txtOpcion").val(1);
                $("#txtFiltroCodigo").val($("#cbArtiHasta").val());
                Busqueda();
        }

        function FindARTNombre()
        {
                $("#txtArticulo").val($("#txtBusquedaDesde").val());
                $("#txtOpcion").val(0);
                $("#txtFiltroNombre").val($("#txtBusquedaDesde").val());
                Busqueda();
        }

        function FindARTNombre2()
        {
                $("#txtArticulo").val($("#txtBusquedaHasta").val());
                $("#txtOpcion").val(0);
                $("#txtFiltroNombre").val($("#txtBusquedaHasta").val());
                Busqueda();
        }

        function Busqueda() {
            $('#jqgART').jqGrid('clearGridData');

            if($("#txtArticulo").val()!='')
            {
                RefreshGridART();
            }

            $("#dialog-Articulo").dialog({
                //$("#jqgART").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                //position: 'center',
                close: function () {
                    if ($("#txtControl").val() == "txtBusquedaDesde" && $("#cbArtiDesde").val() == "") {
                        $("#txtBusquedaDesde").val("");
                        //$("#txtBusquedaDesde").val($("#cbArtiDesde option:selected").text());
                    }
                    if ($("#txtControl").val() == "txtBusquedaDesde" && $("#txtBusquedaDesde").val() == "") {
                        $("#cbArtiDesde").val("");
                    }
                    //else if ($("#txtControl").val() == "txtBusquedaDesde") {
                    //    //$("#txtBusquedaDesde").val((($("#cbArtiDesde option:selected").text()).split("-")[1]).trim());
                    //};

                    if ($("#txtControl").val() == "txtBusquedaHasta" && $("#cbArtiHasta").val() == "") {
                        $("#txtBusquedaHasta").val("");
                        //$("#txtBusquedaHasta").val($("#cbArtiHasta1 option:selected").text());
                    }
                    if ($("#txtControl").val() == "txtBusquedaHasta" && $("#txtBusquedaHasta").val() == "") {
                        $("#cbArtiHasta").val("");
                    }
                    //else if ($("#txtControl").val() == "txtBusquedaHasta") {
                    //    //$("#txtBusquedaHasta").val((($("#cbArtiHasta option:selected").text()).split("-")[1]).trim());
                    //};

                    $("#txtFiltroNombre").val('');
                    $("#txtFiltroCodigo").val('');
                },
                buttons:
                    {
                        '<%=L.LBL("LblFDKSSeleccionar")%>': function () {

                            var id = $("#jqgART").jqGrid('getGridParam', 'selrow');

                            if ($("#txtControl").val() == "txtBusquedaDesde") {//cbArtiDesde
                                $("#cbArtiDesde").val($('#' + id + '_fullarticode').val());
                                $("#txtBusquedaDesde").val($('#' + id + '_descripcion').val());
                                //$("#txtBusquedaDesde").val((($("#cbArtiDesde option:selected").text()).split("-")[1]).trim());
                            };
                            if ($("#txtControl").val() == "txtBusquedaHasta") {//cbArtiHasta1
                                $("#cbArtiHasta").val($('#' + id + '_fullarticode').val());
                                $("#txtBusquedaHasta").val($('#' + id + '_descripcion').val());
                                //$("#txtBusquedaHasta").val((($("#cbArtiHasta1 option:selected").text()).split("-")[1]).trim());
                            };

                            $(this).dialog("close");
                        }
                    }

            });
            $("#txtArticulo").val('');
            $("#txtOpcion").val('');
        }

        function FiltroART() {
            if ($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val() != '') {
                $("#txtArticulo").val($("#txtFiltroNombre").val());
                $("#txtOpcion").val(0);
                RefreshGridART();
            }
            if ($("#txtFiltroCodigo").is(":focus") && $("#txtFiltroCodigo").val() != '') {
                $("#txtArticulo").val($("#txtFiltroCodigo").val());
                $("#txtOpcion").val(1);
                RefreshGridART();
            }
        }

        <%/* JQ02 */%>

        <% /* Código del jqGrid para articulo */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetART() {
            $.ajax({
                url: 'Servicio.svc/GetArticulosGrid_POS',
                data: {
                    "ArtBusqueda": $("#txtArticulo").val(), "Opcion": $("#txtOpcion").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgART").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgART")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridART() {

            var lselART;
            var colMap = {};
            $("#jqgART").jqGrid({
                datatype: 'local',
                height: 255,
                width: 440,
                colNames: ['', '<%=L.LBL("LblGENCode")%>', '<%=L.LBL("LblGENDescription")%>', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [

                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fullarticode', index: 'fullarticode', width: 3, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_fami', index: 'id_fami', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'codigo', index: 'codigo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'activo', index: 'activo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'cod_aux', index: 'cod_aux', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'ctrl_exist', index: 'ctrl_exist', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'id_unme_co', index: 'id_unme_co', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_al', index: 'id_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_se', index: 'id_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_al', index: 'cant_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_se', index: 'cant_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_precio_cmp', index: 'ult_precio_cmp', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_id_mone', index: 'ult_id_mone', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_tasa', index: 'ult_tasa', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'fecha_ultima_cmp', index: 'fecha_ultima_cmp', width: 10, editable: false, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },

                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselART) && !isNaN(id)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            //$('#jqgART').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgART").jqGrid('getRowData', id);

                            $('#jqgART').jqGrid('restoreRow', lselART);

                            $('#IdSubElementART').val(ret.Id);
                        }
                        else {
                            BotonNuevoART();
                        }

                        $('#jqgART').jqGrid('editRow', id, true, EventsART);

                        lselART = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselART)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            $('#jqgART').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgART').jqGrid('saveRow', lselART);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgART").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgART').jqGrid('setSelection', id); 

                        //BotonSelectART();
                        //BotonGuardarStokarti();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgART").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementART').val()) == 0) {
                            //$('#IdSubElementART').val($("#jqgART").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgART").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgART").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgART').jqGrid('setSelection', $('#IdSubElementART').val());
                    if (parseInt($('#IdSubElementART').val()) != 0) {
                        //BotonSelectART();
                    }
                    //$("#" + $('#IdSubElementART').val() + "_descripcion").prop("disabled", false);
                    //$("#" + $('#IdSubElementART').val() + "_fullarticode").prop("disabled", false);
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgART").jqGrid('navGrid','#PaginadorStokarti',{del:false,add:false,edit:false,search:false});
            $("#bsdataART").click(function () {
                jQuery("#jqgART").jqGrid('searchGrid', { multipleSearch: true });
            });
        }

        function EventsART(id) {
            $("#" + id + "_codigo").on('input', function () { });

            $("#" + id + "_descripcion").prop("disabled", true).on('input', function () { });
            $("#" + id + "_fullarticode").prop("disabled", true).on('input', function () { });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridART() {
            $("#jqgART").jqGrid("setGridParam", { datatype: "json", datatype: GetART, loadonce: true });
            $("#jqgART").trigger("reloadGrid");
            $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            //if($('#chArticulo:checked').val() == 1)
            //{
                
            //    if($('#cbArtiDesde').val() != '' || $('#cbArtiHasta').val() != '')
            //    {
            //        $("#cbArtiDesde1 select").val($("#cbArtiDesde").val());
            //        //$("#cbArtiDesde1").val(2791);//$("#cbArtiDesde").val());
            //        $("cbArtiHasta1 select").val($("#cbArtiHasta").val());
            //        //$("#cbArtiHasta1").val(2792);//$("#cbArtiHasta").val());
            //        alert($("#cbArtiDesde1").val())
            //    }
            //}
            if($('#chArticulo:checked').val() == 1 && $('#cbArtiDesde').val() == '' && $('#cbArtiHasta').val() != '' )
            {
                $('#cbArtiDesde').val(0)
            }
            if($('#chArticulo:checked').val() == 1 && $('#cbArtiDesde').val() != '' && $('#cbArtiHasta').val() == '' )
            {
                $('#cbArtiHasta').val(0)
            }


            if($('#chArticulo:checked').val() == 1 && $('#cbArtiDesde').val() == '' && $('#cbArtiHasta').val() == '' )
            {
                ValidarArticulo();
            }
            else
            {
                if($('#chTurno:checked').val() == 1 && ($('#txtTurnoDesde').val() == "" || $('#txtTurnoHasta').val() == "") )
                {
                    ValidarTurno();
                }
                else
                {
                    window.open('Informe.aspx?r=300'
                            + '&rm=' + $('input[name=rbModo]:checked').val()
                            + '&pv=' + $('#chPuntoVenta:checked').val()
                            + '&cpv=' + $('#cbPuntoVenta').val()
                            + '&m=' + $('#chMoneda:checked').val()
                            + '&cm=' + $('#cbMoneda').val()
                            + '&tc=' + $('#chTipoCobro:checked').val()
                            + '&ctc=' + $('#cbTipoCobro').val()
                            + '&c=' + $('#chCajero:checked').val()
                            + '&cc=' + $('#cbCajero').val()
                            + '&s=' + $('#chSalonero:checked').val()
                            + '&cs=' + $('#cbSalonero').val()
                            + '&mo=' + $('#chModificador:checked').val()
                            + '&cmo=' + $('#cbModificador').val()
                            + '&f=' + $('#chFamilia:checked').val()
                            + '&cf=' + $('#cbFamilia').val()
                            + '&su=' + $('#chSubFamilia:checked').val()
                            + '&csu=' + $('#cbSubFamilia').val()
                            + '&a=' + $('#chArticulo:checked').val()
                            + '&cad=' + $('#cbArtiDesde').val()
                            + '&cah=' + $('#cbArtiHasta').val()
                            + '&t=' + $('#chTurno:checked').val()
                            + '&td=' + $('#txtTurnoDesde').val()
                            + '&th=' + $('#txtTurnoHasta').val()
                            + '&fe=' + $('#chFecha:checked').val()
                            + '&fed=' + $('#txtFechaDesde').val()
                            + '&feh=' + $('#txtFechaHasta').val()
                            + '&se=' + $('#chServicio:checked').val()
                            + '&cse=' + $('#cbServicio').val()
                            + '&b=' + $('#btnSelect').val()
                            + '&rba=' + $('input[name=rbAgrupado]:checked').val()
                            + '&rbo=' + $('input[name=rbOrdenado]:checked').val()
                            + '&df=' + $('#chDetallado:checked').val()
                            + '&ia=' + $('#chIncluirArt:checked').val()
                            + '&dp=' + $('#chFDetallado:checked').val()

                            + '&sl=' + $('#chSelect:checked').val()
                            + '&sp=' + $("#spinner").val()
                            + '&rbm=' + $('input[name=rbMasMenos]:checked').val()
                            + '&rbi=' + $('input[name=rbIncluir]:checked').val()
                            , '_blank');
                }
            }
        }
    
    </script>

    <style type="text/css">
        /*******************************************************
         *
         * Boton Activo
         *
         *******************************************************/

        /*Para el botón pestana activo*/
        .btn_activo {
            border: 1px solid #A68235;
            background: #E0DAAB url("images/ui-bg_glass_75_e5db9d_1x400.png") 50% 50% repeat-x;
            font-weight: normal;
            color: #212121;
        }
    </style>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            InitializeComponents();
            ModoRadios();
            CheckboxHabilitar();
            $("#btn0").focus();
            btnOpciones();

            LoadGridART();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#Loader').css('height', '0px');

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTPosVentasO.aspx">POS - <%=L.TIT("Ventas") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 680px;">

                            <div id="Loader" style="width: 2000px; height: 4000px;">
                            </div>

                            <% /* DLG_VAR */%>

                            <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                                <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                            </div>

                            <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                            </div>

                            <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                                <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("Ventas") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosPos %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTPosVentasO.aspx?op=' + $('#cbDatosPos').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            <br />

                            <table style="margin: 0 20%;">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <input type="radio" name="rbModo" value="1" checked="checked" id="rdVentas" /><%=L.LBL("LblPOSSVDVentas") %>
                                            <input type="radio" name="rbModo" value="2" id="rdDevo" /><%=L.LBL("LblPOSSVDDevoluciones") %>
                                            <input type="radio" name="rbModo" value="3" id="rdAnula" /><%=L.LBL("LblPOSSVDAnulaciones") %>
                                        </fieldset>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td>
                                        <fieldset>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="chArticulo" name="chArticulo" value="1" /><%=L.LBL("LblGENArticulo") %>
                                                    </td>
                                                    <td style="height: 25px">
                                                        <%=L.LBL("LblGENStart") %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="cbArtiDesde" name="cbArtiDesde" size="8" onkeypress="ValidaART(event)" />
                                                        <button type="button" id="btnARTCod" onclick="FindARTCodigo();">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/magnifier16.png" alt="" /></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td colspan="3">
                                                        <input type="text" id="txtBusquedaDesde" name="txtBusquedaDesde" style="width: 155px" onkeypress="ValidaART(event)" />
                                                        <input type="hidden" id="txtControl" name="txtControl" />
                                                        <button type="button" id="btnARTNom" onclick="FindARTNombre();">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/magnifier16.png" alt="" /></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td></td>
                                                    <td style="height: 25px">
                                                        <%=L.LBL("LblGENEnd") %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="cbArtiHasta" name="cbArtiHasta" size="8" onkeypress="ValidaART(event)" />
                                                        <button type="button" id="btnARTCod2"onclick="FindARTCodigo2();">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/magnifier16.png" alt="" /></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                    <td colspan="3">
                                                        <input type="text" id="txtBusquedaHasta" name="txtBusquedaHasta" style="width: 155px" onkeypress="ValidaART(event)" />
                                                        <button type="button" id="btnARTNom2" onclick="FindARTNombre2();">
                                                            <table>
                                                                <tr>
                                                                    <td><img src="img/magnifier16.png" alt="" /></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chPuntoVenta" name="chPuntoVenta" value="1" /><%=L.LBL("LblGENPOS") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbPuntoVenta" id="cbPuntoVenta" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in PuntoVenta.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chMoneda" name="chMoneda" value="1" /><%=L.LBL("LblGENMoney") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbMoneda" id="cbMoneda" onchange="" style="width: 140px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Moneda.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <%--<td rowspan="2">
                                                        <input type="checkbox" id="chArticulo" name="chArticulo" value="1" /><%=L.LBL("LblGENArticulo") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENStart") %>
                                                    </td>--%>
                                                    <td>
                                                        <%--<select name="cbArtiDesde1" id="cbArtiDesde1" onchange="" style="width: 100px; ">
                                                            <option value="0"></option>
                                                            <%
                                                                foreach (System.Data.DataRow dr in ArtiDesde.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>--%>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <%--<td style="height: 25px">
                                                        <input type="checkbox" id="chMoneda" name="chMoneda" value="1" /><%=L.LBL("LblGENMoney") %>
                                                    </td>
                                                    <td>
                                                        <select name="cbMoneda" id="cbMoneda" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Moneda.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>--%>
                                                    <%--<td>
                                                        <%=L.LBL("LblGENEnd") %>
                                                    </td>--%>
                                                    <td>
                                                        <%--<select name="cbArtiHasta1" id="cbArtiHasta1" onchange="" style="width: 100px;">
                                                            <option value="0"></option>
                                                            <%
                                                                foreach (System.Data.DataRow dr in ArtiHasta.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>--%>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chTipoCobro" name="chTipoCobro" value="1" /><%=L.LBL("LblGENTipoCobro") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbTipoCobro" id="cbTipoCobro" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in TipoCobro.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td rowspan="3">
                                                        <input type="checkbox" id="chCajero" name="chCajero" value="1" /><%=L.LBL("LblPOSSCajero") %>
                                                    </td>
                                                    <td colspan="2" rowspan="3">
                                                        <select name="cbPuntoVenta" id="cbCajero" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Cajero.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <td rowspan="3">
                                                        <input type="checkbox" id="chTurno" name="chTurno" value="1" /><%=L.LBL("LblPOSTurno") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENStart") %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtTurnoDesde" name="txtFechaHasta" size="11" onkeypress="return  Validar(event)" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 5px"></td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <%=L.LBL("LblGENEnd") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <input type="text" id="txtTurnoHasta" name="txtFechaHasta" size="11" onkeypress="return  Validar(event)" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chSalonero" name="chTipoCobro" value="1" /><%=L.LBL("LblPOSSalonero") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbSalonero" id="cbSalonero" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Salonero.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chModificador" name="chModificador" value="1" /><%=L.LBL("LblPOSSVDModificador") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbModificador" id="cbModificador" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Modificador.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <td rowspan="2">
                                                        <input type="checkbox" id="chFecha" name="chFecha" value="1" /><%=L.LBL("LblGENDate") %>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENStart") %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFechaDesde" class="eligeFecha" name="txtFechaDesde" size="7" value="<%=fecha_hotel_ini%>" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chFamilia" name="chFamilia" value="1" /><%=L.LBL("LblPOSFamilia") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbFamilia" id="cbFamilia" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Familia.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENEnd") %>
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFechaHasta" class="eligeFecha" name="txtFechaHasta" size="7" value="<%=fecha_hotel_ini%>" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 25px">
                                                        <input type="checkbox" id="chSubFamilia" name="chSubFamilia" value="1" /><%=L.LBL("LblPOSSubfamilia") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbSubFamilia" id="cbSubFamilia" onchange="" style="width: 170px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in SubFamilia.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <input type="checkbox" id="chServicio" name="chServicio" value="1" /><%=L.LBL("LblFDKServicio") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <select name="cbServicio" id="cbServicio" onchange="" style="width: 140px;">
                                                            <%
                                                                foreach (System.Data.DataRow dr in Servicio.Rows)
                                                                {
                                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                                                }
                                                            %>
                                                        </select>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>

                                        <table>
                                            <tr>
                                                <td style="height: 10px"></td>
                                            </tr>
                                        </table>

                                        <table>
                                            <tr>
                                                <td style="width: 250px;">
                                                    <fieldset style="height: 75px;">
                                                        <legend><b><%=L.LBL("LblGENAgruparPor")%></b></legend>
                                                        <table id="Familia">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdFamilia" /><%=L.LBL("LblPOSFamilia") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdPuntoVenta" /><%=L.LBL("LblGENPOS") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="3" id="rdCamarero" /><%=L.LBL("LblPOSSVDCamarero") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="SubFamilia">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdSubFamilia" /><%=L.LBL("LblPOSSubfamilia") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdSubPuntoVenta" /><%=L.LBL("LblGENPOS") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="3" id="rdSubCamarero" /><%=L.LBL("LblPOSSVDCamarero") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="Articulo">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdArti" /><%=L.LBL("LblGENArticulo") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdArtPuntoVenta" /><%=L.LBL("LblGENPOS") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="3" id="rdServicio" /><%=L.LBL("LblFDKServicio") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="Fecha">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdFecha" /><%=L.LBL("LblGENDate") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdFechaArti" /><%=L.LBL("LblGENArticulo") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="3" id="rdMensual" /><%=L.LBL("LblPOSSVDMensual") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="CuentaCasa">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdCred" /><%=L.LBL("LblFDKCredito") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdCred_PVenta" /><%=L.LBL("LblPOSSVDCreditoPuntoVenta") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="3" id="rdCred_Fami" /><%=L.LBL("LblPOSSVDCreditoFamilia") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="Camarero">
                                                            <tr>
                                                                <td>
                                                                    <%--<input type="radio" name="rbAgrupado" value="1" id="rdCamFamilia" />--% >< %=L.LBL("LblPOSFamilia") --%>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdCam" /><%=L.LBL("LblPOSSVDCamarero") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%--<input type="radio" name="rbAgrupado" value="3" id="rdCam2" />--% >< %=L.LBL("LblPOSSVDCamarero") --%>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="Cajero">
                                                            <tr>
                                                                <td>
                                                                    <%--<input type="radio" name="rbAgrupado" value="1" id="rdCamFamilia" />--% >< %=L.LBL("LblPOSFamilia") --%>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdCajero" /><%=L.LBL("LblPOSSCajero") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%--<input type="radio" name="rbAgrupado" value="3" id="rdCam2" />--% >< %=L.LBL("LblPOSSVDCamarero") --%>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="Servicio">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdServPVenta" /><%=L.LBL("LblPOSSVDServicioPuntoVenta") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdPVentaServ" /><%=L.LBL("LblPOSSVDPuntoVentServicio") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <%--<input type="radio" name="rbAgrupado" value="3" id="rdCam2" />--% >< %=L.LBL("LblPOSSVDCamarero") --%>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                        <table id="CuentaIngreso">
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="1" id="rdCuentaIPVenta" /><%=L.LBL("LblPOSSVDCuentaIngresoPuntoVenta") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="2" id="rdPVentaCuentaI" /><%=L.LBL("LblPOSSVDPuntoVentaCuentaIngreso") %>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbAgrupado" value="3" id="rdCuentaIFamilia" /><%=L.LBL("LblPOSSVDCuentaIngresoFamilia") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                                <td>
                                                    <fieldset>
                                                        <legend><b><%=L.LBL("LblGENOrderBy")%></b></legend>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <input type="radio" name="rbOrdenado" value="1" checked="checked" id="rdCodigo" /><%=L.LBL("LblGENCode") %>
                                                                    <input type="radio" name="rbOrdenado" value="2" id="rdCobros" /><%=L.LBL("LblPOSSCobros") %>
                                                                    <input type="radio" name="rbOrdenado" value="3" id="rdExtraTip" /><%=L.LBL("LblPOSSExtraTip") %>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                    <table id="FechaDeta">
                                                        <tr>
                                                            <td>
                                                                <input type="checkbox" id="chFDetallado" name="chDetallado" value="1" /><%=L.LBL("LblPOSSVDDetalladoPuntoVenta") %>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <table id="Generico">
                                                        <tr>
                                                            <td>
                                                                <input type="checkbox" id="chDetallado" name="chDetallado" value="1" /><%=L.LBL("LblPOSSVDDetalladoFamilia") %>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <input type="checkbox" id="chIncluirArt" name="chIncluirArt" value="1" /><%=L.LBL("LblPOSSVDIncluirArticulosCuentasCasa") %>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td style="vertical-align: top;">
                                        <fieldset>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <button type="button" onclick="btnOpciones();" id="btn0" value="0" style="width: 100%;">
                                                            <%--style="margin: 0 30%;"--%>
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblPOSFamilia") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 35px">
                                                        <button type="button" onclick="btnOpciones();" id="btn1" value="1" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblPOSSubfamilia") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <button type="button" onclick="btnOpciones();" id="btn2" value="2" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblGENArticulo") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 35px">
                                                        <button type="button" onclick="btnOpciones();" id="btn3" value="3" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblGENDate") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <button type="button" onclick="btnOpciones();" id="btn4" value="4" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblPOSSVDFechaArticulo") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 35px">
                                                        <button type="button" onclick="btnOpciones();" id="btn5" value="5" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblGENCuentaCasa") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <button type="button" onclick="btnOpciones();" id="btn6" value="6" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblPOSSVDCamarero") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 35px">
                                                        <button type="button" onclick="btnOpciones();" id="btn7" value="7" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblPOSSCajero") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <button type="button" onclick="btnOpciones();" id="btn8" value="8" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblFDKServicio") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td style="height: 35px">
                                                        <button type="button" onclick="btnOpciones();" id="btn9" value="9" style="width: 100%;">
                                                            <table>
                                                                <tr>
                                                                    <td><%=L.LBL("LblFDKSCuentaIngresos") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="chSelect" name="chSelect" value="1" /><%=L.LBL("LblPOSSVDSeleccionarLos") %>
                                    </td>
                                    <td>
                                        <input type="text" id="spinner" name="value" size="3" value="15" />
                                    </td>
                                    <td style="width: 140px;">
                                        <fieldset>
                                            <table id="Ventas">
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbMasMenos" value="1" id="rdmasv" /><%=L.LBL("LblPOSSVDMasVendidos") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbMasMenos" value="2" id="rdmenosv" /><%=L.LBL("LblPOSSVDMenosVendidos") %>
                                                    </td>
                                                </tr>
                                            </table>
                                            <table id="Devoluciones">
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbMasMenos" value="1" id="rdmasd" /><%=L.LBL("LblPOSSVDMasDevueltos") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbMasMenos" value="2" id="rdmenosd" /><%=L.LBL("LblPOSSVDMenosDevueltos") %>
                                                    </td>
                                                </tr>
                                            </table>
                                            <table id="Anulaciones">
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbMasMenos" value="1" id="rdmasa" /><%=L.LBL("LblPOSSVDMasAnulados") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbMasMenos" value="2" id="rdmenosa" /><%=L.LBL("LblPOSSVDMenosAnulados") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                    </td>
                                    <td>
                                        <fieldset>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbIncluir" value="1" checked="checked" id="rdTodosArt" /><%=L.LBL("LblPOSSVDIncluirTodosArticulos") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbIncluir" value="2" id="rdSoloVend" /><%=L.LBL("LblPOSSVDIncluirSoloVendidos") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </fieldset>
                                    </td>
                                    <td style="width: 100%;"></td>
                                    <td style="vertical-align: bottom;">
                                        <button type="button" onclick="ImprimirListado();" id="A2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>

                            <input type="text" id="btnSelect" name="txtbtnselect" hidden="hidden" />

                            <div id="dialog-articulo" title='<%=L.LBL("LblGENInformation")%>' hidden="hidden">
                                <p>
                                    <span class="ui-icon ui-icon-circle-check" style="float: left; margin: 0 7px 50px 0;"></span>
                                    <%=L.MSG("ValidarRangoArticulos")%>
                                </p>
                            </div>

                            <div id="dialog-turno" title='<%=L.LBL("LblGENInformation")%>' hidden="hidden">
                                <p>
                                    <span class="ui-icon ui-icon-circle-check" style="float: left; margin: 0 7px 50px 0;"></span>
                                    <%=L.MSG("ValidarRangoTurnos")%>
                                </p>
                            </div>

                            <div id="dialog-Articulo" title='<%=L.LBL("LblPOSSVDSeleccioneProducto")%>' hidden="hidden">

                                <table>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENCode")%>: 
                                            </td>
                                            <td>
                                            <input type="text" id="txtFiltroCodigo" name="txtFiltroCodigo" size="35" onkeypress="ValidaART(event)" />
                                        </td>
                                        <td rowspan="3">
                                            <button type="button" id="btnFiltro" onclick="FiltroART();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                                        <td><%=L.LBL("LblGENFiltrar") %></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                    <tr><td>&nbsp;</td></tr>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENArticulo")%>: 
                                            </td>
                                            <td>
                                            <input type="text" id="txtFiltroNombre" name="txtFiltroNombre" size="35" onkeypress="ValidaART(event)" />
                                        </td>
                                    </tr>
                                </table>

                                <br/>

                                <input type="hidden" id="IdSubElementART" value="0" />
                                <table id="jqgART"></table>

                                <input type="text" id="txtArticulo" name="txtArticulo" hidden="hidden" />
                                <input type="text" id="txtOpcion" name="txtOpcion" hidden="hidden" />
                            </div>

                            <%--<br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        <b>Totalizado - [S.E.] - Sin Enlazar</b>: En el reporte de ventas totalizado, las agrupaciones que lleven la leyenda [S.E.],<br /> 
                                        refiere a que existieron ventas de familias, que no están enlazadas al punto de ventas en este momento.
                                    </td>
                                </tr>
                            </table>--%>

                            
                  
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
